import {
	yghttp
} from '@/request/index.js';


// 前端分页查询任务列表
export const getTaskList_Api = (param) => {
	return yghttp.get(`/task/page`, param)
}

// 获取任务详细信息
export const getTaskInfo_Api = (taskId) => {
	return yghttp.get(`/task/info/${taskId}`)
}

// 获取任务详细信息
export const getrReceiveTask_Api = (taskId) => {
	return yghttp.post(`/task/receive/${taskId}`)
}


// 获取我的任务列表
export const getMyTask_Api = (param) => {
	return yghttp.get(`/myTask/page`, param)
}

// 获取我领取的任务详细信息
export const getMyTaskInfo_Api = (receiveTaskId) => {
	return yghttp.get(`/myTask/info/${receiveTaskId}`)
}
// 获取我领取的子任务详细信息
export const getMyMoreTaskInfo_Api = (receiveChildTaskId) => {
	return yghttp.get(`/myTask/info-child/${receiveChildTaskId}`)
}

// 根据任务获取我领取的任务详细信息
export const TaskGetMyTaskInfo_Api = (taskId) => {
	return yghttp.get(`/myTask/myTaskInfo/${taskId}`)
}

// 提交任务前的检查
export const onSubmitCheck_Api = (receiveChildTaskId) => {
	return yghttp.post(`/myTask/submitCheck/${receiveChildTaskId}`)
}


// 前端提交任务
export const submitTask_Api = (data) => {
	return yghttp.post(`/myTask/submit`, data)
}

// 获取我的排行榜
export const myRanking_Api = (param) => {
	return yghttp.get(`/myTask/myRanking`, param)
}

// 获取排行榜 
export const getRankingList_Api = (param) => {
	return yghttp.get(`/myTask/rankingList`, param)
}



// 查询用户勋章列表 
export const getUserMedal_Api = () => {
	return yghttp.get(`/user/userMedal/list`)
}


// MD5检查大文件 
export const getcheckBigFile_Api = (param) => {
	return yghttp.post(`/common/check-big`, param)
}

// 上传OSS大文件分片
export const setUpload_tag_Api = (param) => {
	return yghttp.post(`/common/upload-tag`, param, {
		header: {
			"Content-Type": "application/x-www-form-urlencoded",
		},
		timeout: 2 * 60 * 60 * 60 * 1000
	})
}


// OSS大文件合并 
export const getMargeTag_Api = (param) => {
	return yghttp.post(`/common/marge-tag`, param)
}

// 获取我的任务数量 
export const myTackCount_Api = () => {
	return yghttp.get(`/myTask/myTackCount`)
}